import { DocumentChangeAction, DocumentSnapshot, Action } from '@angular/fire/firestore';
import { getEntityType } from '@datorama/akita';
/** Set the loading parameter of a specific store */
export declare function setLoading(storeName: string, loading: boolean): void;
/** Reset the store to an empty array */
export declare function resetStore(storeName: string): void;
/** Set a entity as active */
export declare function setActive(storeName: string, active: string | string[]): void;
/** Create or update one or several entities in the store */
export declare function upsertStoreEntity(storeName: string, data: any, id: string | string[]): void;
/** Remove one or several entities in the store */
export declare function removeStoreEntity(storeName: string, entityIds: string | string[]): void;
/** Update one or several entities in the store */
export declare function updateStoreEntity(removeAndAdd: boolean, storeName: string, entityIds: string | string[], data: any): void;
/** Sync a specific store with actions from Firestore */
export declare function syncStoreFromDocAction<S>(storeName: string, actions: DocumentChangeAction<getEntityType<S>>[], idKey: string, removeAndAdd: boolean, mergeRef: boolean, formatFromFirestore: Function): Promise<void>;
/** Sync a specific store with actions from Firestore */
export declare function syncStoreFromDocActionSnapshot<S>(storeName: string, action: Action<DocumentSnapshot<getEntityType<S>>>, idKey: string, mergeRef: boolean, formatFromFirestore: Function): Promise<void>;
